curl -X POST "https://smartdelivery.smartlead.ai/api/v1/spam-test/report?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{}'
[
{
"spam_test_id": "test_001",
"test_name": "Gmail Inbox Placement Test",
"test_type": "automated",
"status": "active",
"schedule_start_time": "2026-03-10T09:00:00Z",
"test_end_date": "2026-06-10T09:00:00Z",
"every_days": 7,
"current_test_run_no": 8
},
{
"spam_test_id": "test_002",
"test_name": "Outlook Spam Filter Test",
"test_type": "manual",
"status": "completed",
"schedule_start_time": "2026-03-14T14:00:00Z",
"test_end_date": "2026-03-20T14:00:00Z",
"every_days": null,
"current_test_run_no": 1
}
]
List all spam tests with filtering by date, type, and status
curl -X POST "https://smartdelivery.smartlead.ai/api/v1/spam-test/report?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{}'
[
{
"spam_test_id": "test_001",
"test_name": "Gmail Inbox Placement Test",
"test_type": "automated",
"status": "active",
"schedule_start_time": "2026-03-10T09:00:00Z",
"test_end_date": "2026-06-10T09:00:00Z",
"every_days": 7,
"current_test_run_no": 8
},
{
"spam_test_id": "test_002",
"test_name": "Outlook Spam Filter Test",
"test_type": "manual",
"status": "completed",
"schedule_start_time": "2026-03-14T14:00:00Z",
"test_end_date": "2026-03-20T14:00:00Z",
"every_days": null,
"current_test_run_no": 1
}
]
curl -X POST "https://smartdelivery.smartlead.ai/api/v1/spam-test/report?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{}'
[
{
"spam_test_id": "test_001",
"test_name": "Gmail Inbox Placement Test",
"test_type": "automated",
"status": "active",
"schedule_start_time": "2026-03-10T09:00:00Z",
"test_end_date": "2026-06-10T09:00:00Z",
"every_days": 7,
"current_test_run_no": 8
},
{
"spam_test_id": "test_002",
"test_name": "Outlook Spam Filter Test",
"test_type": "manual",
"status": "completed",
"schedule_start_time": "2026-03-14T14:00:00Z",
"test_end_date": "2026-03-20T14:00:00Z",
"every_days": null,
"current_test_run_no": 1
}
]